<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
   		echo "<title>Новости обновлений</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="razd"></div>';
		echo '<div class="top-nav1"><b>Новости обновлений</b></div>';
		echo '<div class="razd"></div>';
		switch ($act) {
	default:
		if($level==9)echo '<div class="blok"><a href="?act=add"><b>Добавить обновление</b></a></div><div class="razd"></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `obn`;"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `obn` ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string($row['uid']))))))."'");
					$f = mysql_fetch_array($q);
					echo '<center><div class="window1">';
					echo ' <span style="color: #756861; font-size: 20px;"><span style="color: #555;"><b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['title']))))))).'</b></span></span><br/>';
					if($row['type']==1)echo '<span class="green">Добавлено</span>';
					if($row['type']==2)echo '<span class="blue">Исправлено</span>';
					if($row['type']==3)echo '<span class="red">Удалено</span>';
					echo '<br/>';
					echo '('.dates($row['time']).')<br/><span style="color: #756861; font-size: 17px;"><span style="color: #555;"><b>'.$row['text'].'</b></span></span><br/><b>Добавил:</b> '. rasa($f['rasa']) .' <a href="anketa.php?id='.$f['id'].'"><span class="' . crasa($f['rasa']) . '"><ins> ' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))) . '</ins></span>';		
					echo '</div></center>'; 

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?');
			}
			else
			{
				div('<center><b>Увы,новостей нет</b>!</center>','window');
			}

break;
case 'add':
if($level==9){
	  	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Заголовок:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="title"/><br/>Обновление:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="text"/><br/>Тип обновы:<br/><select name="type"><option value="1">Добавлено</option><option value="2">Исправлено</option><option value="3">Удалено</option></select><br/><br/>';
			echo '<input type="submit" name="submit" value="Добавить"/></form>';
			echo '</div></center>';
			
	}
	else
	{
			$title = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['title'])))))));
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
			$type = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['type'])))))));
			
$error = false;
if( trim($_POST['title']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Заголовок</b></ins></font><br/>';
    
}

if(!empty($_POST['title']) && (mb_strlen($_POST['title']) > 50 || mb_strlen($_POST['title']) < 5 ||mb_strlen($_POST['title']) > 50))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Заголовок</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['title']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['title'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Заголовок</b></font> содержит запрещенные символы<br/>';
    
}

if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Обновление</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 50 || mb_strlen($_POST['title']) < 5 ||mb_strlen($_POST['text']) > 50))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Обновление</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Обновление</b></font> содержит запрещенные символы<br/>';
    
}
				
	  		if (empty($error))
		{
		
			mysql_query("INSERT INTO `obn` SET
			            			`uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string($use_id)))))) ."',
									`time`='". time() ."',
									`type`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))."',
									`title`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string($title)))))) ."',
			            			`text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string($text)))))) ."';");
			header('Location: obn.php');

		}
		else
		{
			echo '<div class="blok"><b>' . $error. '</b></div>';
		}
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok">';
	echo '<a href="obn.php"><b>Назад</b></a>';
	echo '</div>';
}
		}
	}
		
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>